  <button
    appearance="outline"
    type="button"
    mat-stroked-button
    class="primary-strada-btn-with-icon mat-menu-trigger mat-button mat-button-base g pl-3 pr-0"
    mat-button
    [matMenuTriggerFor]="menu"
    (click)="iconboolean($event)"
  >
    <span class="spantitle"> {{ selectedOption.display | translate }} </span>
    <!-- <span class="spantitle"> {{defaultLib}} </span> -->

    <svg-icon *ngIf="!menuIcon" class="custom-icon"  src="/assets/icon-svg/arrow.svg" style="margin-left: 1%;"
      [svgStyle]="{ 'width.px': 27, 'height.px': 27 }">
    </svg-icon>

    <svg-icon *ngIf="menuIcon" class="custom-icon" src="/assets/icon-svg/arrow2.svg" style="margin-left: 1%;"
      [svgStyle]="{ 'width.px': 27, 'height.px': 27 }">
    </svg-icon>

  </button>
  
  <mat-menu #menu="matMenu" panelClass="sharedSelectClass" margin=0px class="filesList" [ngClass]="{'indemnityCustomizedSelect': true}">
  <!-- <mat-menu #menu="matMenu" margin=0px class="filesList" [ngClass]="{'indemnityCustomizedSelect': indemnitySelect === true}"> -->
    <!-- <button *ngFor='let item of activitelibelle' class="customize customizebtn " (click)="$event.stopPropagation();iconboolean(matMenu)" mat-menu-item
      (click)="doAction(action.slug, $event)" style="width: 240px;">
      {{item}}
    </button> -->
    <div >
    <button *ngFor='let item of activitelibelle' class="customize customizebtn" (click)="selectNewOption(item);iconboolean()" mat-menu-item>
      {{item.display | translate }}
    </button>
  </div>
  </mat-menu>

